# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98848e43    # 10^10 M_sun in grams
  UnitLength_in_cgs:   3.08567758e24 # Mpc in centimeters
  UnitVelocity_in_cgs: 1e5   # km/s in centimeters per second
  UnitCurrent_in_cgs:  1   # Amperes
  UnitTemp_in_cgs:     1   # Kelvin

Cosmology:
  Omega_cdm:    0.
  Omega_lambda: 0.
  Omega_b:      1.
  h:            1.
  a_begin: 0.00990099
  a_end: 1.0

# Parameters governing the time integration
TimeIntegration:
  dt_min:     1e-7  # The minimal time-step size of the simulation (in internal units).
  dt_max:     4e-3  # The maximal time-step size of the simulation (in internal units).

# Parameters governing the snapshots
Snapshots:
  basename:            zeldovichPancake # Common part of the name of output files
  time_first:          0.       # Time of the first output (in internal units)
  delta_time:          1.04     # Time difference between consecutive outputs (in internal units)
  scale_factor_first:  0.00991
  compression:         4

# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          1.02 # Time between statistics output

# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.2348   # Target smoothing length in units of the mean inter-particle separation 
  CFL_condition:         0.1      # Courant-Friedrich-Levy condition for time integration.
  h_min_ratio:           0.1

# Parameters related to the initial conditions
InitialConditions:
  file_name:  ./zeldovichPancake.hdf5       # The file to read
  periodic:   1
  
Scheduler:
  max_top_level_cells: 8
  cell_split_size:     50
  
Gravity:
  mesh_side_length:   32
  eta:                0.025
  MAC:                adaptive
  theta_cr:           0.5
  epsilon_fmm:        0.0001
  comoving_DM_softening: 0.001
  max_physical_DM_softening: 0.001
  comoving_baryon_softening: 0.001
  max_physical_baryon_softening: 0.001
